Skip to content
Pile
Esc
navigateopen⌘Jpreview

GET /shared-documents/{organizationId}/{token}

GET/shared-documents/{organizationId}/{token}
Path parameters
organizationIdstringrequired
tokenstringrequired
Responses
200Shared document
documentobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdown
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
childrenobject[]
Show properties
Array of object
idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdown
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
404Share not found or expired
Try it
Server
Parameters
Request
curl -X GET "/shared-documents/string/string"
Response
{
  "document": {
    "id": "string",
    "organizationId": "string",
    "title": "string",
    "icon": "string",
    "content": [
      {
        "property1": null,
        "property2": null
      }
    ],
    "contentFormat": "blocks",
    "slug": "string",
    "projectId": "string",
    "issueId": "string",
    "initiativeId": "string",
    "parentDocumentId": "string",
    "spaceId": "string",
    "isTemplate": true,
    "createdById": "string",
    "updatedById": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "trashedAt": "string"
  },
  "children": [
    {
      "id": "string",
      "organizationId": "string",
      "title": "string",
      "icon": "string",
      "content": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "contentFormat": "blocks",
      "slug": "string",
      "projectId": "string",
      "issueId": "string",
      "initiativeId": "string",
      "parentDocumentId": "string",
      "spaceId": "string",
      "isTemplate": true,
      "createdById": "string",
      "updatedById": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "trashedAt": "string"
    }
  ]
}